## ros-dashing-turtlebot3-fake-node 2.2.2

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_fake_node)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

################################################################################
# Find and load build settings from external packages
################################################################################
find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(turtlebot3_msgs REQUIRED)

################################################################################
# Build
################################################################################
include_directories(
  include
)

set(dependencies
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "sensor_msgs"
  "tf2"
  "tf2_msgs"
  "turtlebot3_msgs"
)

set(EXEC_NAME "turtlebot3_fake_node")

add_executable(${EXEC_NAME} src/turtlebot3_fake_node.cpp)
ament_target_dependencies(${EXEC_NAME} ${dependencies})

################################################################################
# Install
################################################################################
install(TARGETS ${EXEC_NAME}
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch param rviz
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include/
)

################################################################################
# Macro for ament package
################################################################################
ament_export_include_directories(include)
ament_export_dependencies(geometry_msgs)
ament_export_dependencies(nav_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(tf2)
ament_export_dependencies(tf2_msgs)
ament_export_dependencies(turtlebot3_msgs)
ament_package()

=== debian/changelog ===
ros-dashing-turtlebot3-fake-node (2.2.2-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 23 Feb 2021 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (2.2.1-1bionic) bionic; urgency=high

  * Eloquent Elusor EOL
  * Ament lint applied
  * Contributors: ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 12 Jan 2021 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (2.2.0-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Sun, 28 Jun 2020 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (2.1.0-1bionic) bionic; urgency=high

  * ROS 2 migration of turtlebot3_fake_node package
  * Modified rviz config (background colour changed to white, tf display disabled)
  * Contributors: Ryan Shim, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 09 Sep 2019 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (2.0.1-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (2.0.0-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (1.3.0-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Sun, 28 Jun 2020 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (1.2.0-1bionic) bionic; urgency=high

  * move out the init() from ROS_ASSERT #68 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/68>
  * Contributors: Sean Yen, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (1.1.0-1bionic) bionic; urgency=high

  * added TurtleBot3 Waffle Pi
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (1.0.2-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (1.0.1-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 29 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (1.0.0-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.2.4-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.2.3-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.2.2-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.2.1-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.2.0-1bionic) bionic; urgency=high

  * added TurtleBot3 Waffle Pi
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 12 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.1.7-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 15 Aug 2017 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.1.6-1bionic) bionic; urgency=high

  * updated rviz and add static tf publisher for depth camera
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.1.5-1bionic) bionic; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.1.4-1bionic) bionic; urgency=high

  * added as new meta-packages and version update (0.1.4)
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-dashing-turtlebot3-fake-node (0.1.3-1bionic) bionic; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-dashing-turtlebot3-fake-node
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-geometry-msgs, ros-dashing-nav-msgs, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-tf2, ros-dashing-tf2-msgs, ros-dashing-turtlebot3-msgs, ros-dashing-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-dashing-turtlebot3-fake-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-cmake, ros-dashing-geometry-msgs, ros-dashing-nav-msgs, ros-dashing-rclcpp, ros-dashing-robot-state-publisher, ros-dashing-sensor-msgs, ros-dashing-tf2, ros-dashing-tf2-msgs, ros-dashing-turtlebot3-msgs, ros-dashing-ros-workspace
Description: Package for TurtleBot3 fake node.
 With this package, simple tests can be done without a robot. You can do simple tests using this package on rviz without real robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-turtlebot3-fake-node//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
